<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Introduction</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Introduction">
<meta name="keywords" value="sysadmin-guide">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html77 HREF="node3.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://wwwcn.cern.ch/icons/next_motif.gif"></A>   <A NAME=tex2html75 HREF="sysadmin-guide.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://wwwcn.cern.ch/icons/up_motif.gif"></A>   <A NAME=tex2html69 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://wwwcn.cern.ch/icons/previous_motif.gif"></A>   <A NAME=tex2html79 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://wwwcn.cern.ch/icons/contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html78 HREF="node3.html"> Installation</A>
<B>Up:</B> <A NAME=tex2html76 HREF="sysadmin-guide.html">The HEPiX Shells and </A>
<B> Previous:</B> <A NAME=tex2html70 HREF="node1.html">Contents</A>
<BR> <HR> <P>
<H1><A NAME=SECTION00020000000000000000> Introduction</A></H1>
<P>
This guide explains to system administrators how they can install and 
customise the HEPiX scripts.<BR> 
<BR> 
The HEPiX shells and X11 login scripts are a package of shell scripts, 
perl programs, 
manual pages and documentation which provides the Common HEP Environment
to your users when they are using a shell interface or an X11 interface.<BR> 
<BR> 
All the concepts are detailed in [<A HREF="node23.html#taddeihepixssconcepts">6</A>]. 
You will also find a reference guide in [<A HREF="node23.html#taddeihepixssreference">7</A>] 
and you can give a short user guide [<A HREF="node23.html#taddeihepixssuser">8</A>] 
to your users.
 These 3 documents should come in the same package as this one 
otherwise you can access them through: 
<code>http://wwwcn.cern.ch/hepix/wg/scripts/www/Welcome.html</code>
<P>
In this paper we distinguish between 3 classes of system administrators
according to what they manage:
<UL><LI> a single machine,
<LI> a cluster of machines,
<LI> the computing infrastructure of a group of users.
</UL>
<P>
Of course, you might correspond only to one class  but in the other hand you 
can be the same person who is fulfilling the 3 roles.<BR> 
<BR> 
Although there are 3 classes, we could add 2 more classes:
<UL><LI> system administrators who are setting the software environment policy
     for a site (IN2P3, DESY, etc.),
<LI> system administrators who are setting the software environment policy
     for the HEPiX community.
</UL>
<P>
A paper will come later with another set of programs in order to give site
system administrators the ability to change some defaults at 'site level'
(see [<A HREF="node23.html#taddeihepixssconcepts">6</A>]) in an easy way.<BR> 
<BR> 
Anyway, we will see in the following how to:
<UL><LI> install the package,
<LI> customise it according to each system administartors class.
</UL>
<P>
<HR>

<BR> <HR>
<P><ADDRESS>
<I>Arnaud Taddei <BR>
Tue Dec 12 08:15:58 MET 1995</I>
</ADDRESS>
</BODY>
